clc
clear all
close all

Pr=0.7; % [-]
N_l=8; % [-]
D=0.0135; % [m]
D_f=0.0335; % [m]
h_f=0.01; % [m]
p_f=0.00332; % [m]
s_f=0.00282; % [m]
P_l=0.0335; % [m]
P_t=0.0387; % [m]



ReC= 0:0.1:30000;

%%%%%%%%%%Nusselt correlations%%%%%%%%%%

%Weierman
NuW=0.25.*ReC.^(0.65)*Pr^(1/3)*( 0.35+0.65*exp(-0.25*(h_f/p_f)) )...
*( 0.7+(0.7-0.8*exp(-0.15*N_l^2))*exp(-P_l/P_t) )*sqrt(D_f/D);

%Stasiulevicius
NuS=0.044*(P_t/P_l)^(0.2)*(p_f/D)^(0.18)*(h_f/D)^(-0.14).*ReC.^(0.8);

%ESCOA
NuE=0.091*ReC.^(0.75)*Pr^(1/3)*(0.35+0.65*exp(-0.25*(h_f/p_f)))...
    *(0.7+(0.7-0.8*exp(-0.15*N_l^2))*exp(-P_l/P_t))*sqrt(D_f/D);


%Numerical result
ReN1=[4397,9430,13916,17321,26086];
NuN1=[33.49,53.45,70.14,82.96,115.49];

%Experimental result
NuEx=[31.57,55.37,74.99,88.15,120.63];

plot(ReC,NuW*Pr^(-1/3),ReC,NuS*Pr^(-1/3),ReC,NuE*Pr^(-1/3),ReN1,NuN1*Pr^(-1/3),'bx',ReN1,NuEx*Pr^(-1/3),'rx');
xlim([0 30000])
ylim([0 210])
grid on
xlabel('Re [-]');
ylabel('Nu*Pr^{-1/3} [-]');
legend('Weierman','Stasiulevicius','ESCOA','CFD','Experimental')
%title('Nu correlations, solid fins')



    

