clc
clear all
close all

Pr=0.7; % [-]
N_l=8; % [-]
D=0.0135; % [m]
D_f=0.0335; % [m]
h_f=0.01; % [m]
p_f=0.00332; % [m]
s_f=0.00282; % [m]
t=0.0005; % [m]
P_l=0.0335; % [m]
P_t=0.0387; % [m]

ReC= 0:0.1:30000;

%%%%%%%%%%Euler correlations%%%%%%%%%%

%Weierman
EuW=(0.28+(32./ReC.^(0.45)))*0.11*(0.05*(P_t/D))^(-0.7*(h_f/p_f)^(0.2))...
    *(1.1+(1.8-2.1*exp(-0.15*N_l^2))*exp(-2*(P_l/P_t))...
    -(0.7-0.8*exp(-0.15*N_l^2))*exp(-0.6*(P_l/P_t)))*(D_f/D)^(0.5);

%Stasiulevicius
EuSt=(6.55*(1-(p_f/D))^(1.8).*ReC.^(-0.25))/((P_t/D)^(0.55)*(P_l/D)^(0.5)*...
    (1-(h_f/D))^(1.4));

%Ward and Young (Mon)
EuM=0.256.*ReC.^(-0.264)*(t/D_f)^(-0.377)*(p_f/D)^(-0.396)*(P_l/D);

%Numerical result
ReN=[4397,9430,13916,17321,26086];
EuN=[0.634,0.539,0.500,0.481,0.448];

%Experimental result
EuE=[0.678,0.610,0.607,0.573,0.523];

plot(ReC,EuW,ReC,EuSt,ReC,EuM,ReN,EuN,'bx',ReN,EuE,'rx');
xlim([2500 30000])
ylim([0 1.4])
grid on
xlabel('Re [-]');
ylabel('Eu [-]');
legend('Weierman','Stasiulevicius','Ward and Young','CFD','Experimental')
%title('Eu correlations, solid fins')


