clc
clear all
close all

Pr=0.7; % [-]
N_l=8; % [-]
D=0.01905; % [m]
D_f=0.03905; % [m]
h_f=0.01; % [m]
t_f=0.001; % [m]
p_f=0.00362; % [m]
s_f=0.00262; % [m]
P_l=0.03458; % [m]
P_t=0.04405; % [m]
l=h_f+0.5*t_f; % [m]
D_e=D+2*t_f; % [m]
Ar=9.614;

ReC= 0:0.1:30000;

%%%%%%%%%%Nusselt correlations%%%%%%%%%%

%Weierman
NuW=0.25.*ReC.^(0.65)*Pr^(1/3)*( 0.55+0.45*exp(-0.35*(h_f/p_f)) )...
*( 0.7+(0.7-0.8*exp(-0.15*N_l^2))*exp(-P_l/P_t) )*sqrt(D_f/D);

%Stasiulevicius
%NuS=0.044*(P_t/P_l)^(0.2)*(p_f/D)^(0.18)*(h_f/D)^(-0.14).*ReC.^(0.8);

%ESCOA
NuE=0.091*ReC.^(0.75)*Pr^(1/3)*(0.35+0.65*exp(-0.17*(h_f/p_f)))...
    *(0.7+(0.7-0.8*exp(-0.15*N_l^2))*exp(-P_l/P_t))*sqrt(D_f/D);

%PFR
NuP=0.195*ReC.^(0.7)*Pr^(1/3)*Ar^(-0.17);


%Naess
NuNa=0.197*ReC.^(0.65)*Pr^(1/3)*(h_f/(p_f))^(-0.14)*(p_f/D)^(-0.2)...
    *0.758*(P_t/D)^(0.35);


%Numerical result
ReN1=[4802,9000,12549,20204,25090];
NuN1=[45.774,67.869,85.263,113.836,128.182];

%Experimental result
NuEx=[38.058,53.845,63.895,81.145,89.794];

plot(ReC,NuW*Pr^(-1/3),ReC,NuE*Pr^(-1/3),ReC,NuP*Pr^(-1/3),ReC,NuNa*Pr^(-1/3),ReN1,NuN1*Pr^(-1/3),'bx',ReN1,NuEx*Pr^(-1/3),'rx');
xlim([0 30000])
ylim([0 180])
grid on
xlabel('Re [-]');
ylabel('Nu*Pr^{-1/3} [-]');
%legend('Weierman','Stasiulevicius','ESCOA','CFD','Experimental')
legend('Weierman','ESCOA','PFR','Nss','CFD','Experimental')
%title('Nu correlations, serrated fins')



    

