clc
clear all
close all

Pr=0.6966; % [-]
N_l=8; % [-]
D=0.01905; % [m]
D_f=0.03905; % [m]
h_f=0.01; % [m]
t_f=0.001; % [m]
p_f=0.00362; % [m]
s_f=0.00262; % [m]
P_l=0.03458; % [m]
P_t=0.04405; % [m]
P_x=0.04100; % [m]
l=h_f+0.5*t_f; % [m]
D_e=D+2*t_f; % [m]
L=(N_l-1)*P_l+D_f; %[m]
F_t=p_f*(P_t-D)-2*h_f*t_f; %[m^2]
A_o=0.002081; %[m^2]
D_h=4*L*(F_t/A_o); %[m]


ReC= 0:0.1:30000;
ReH=(D_h/D).*ReC;

%%%%%%%%%%Euler correlations%%%%%%%%%%

%Weierman
EuW=(0.28+(32./ReC.^(0.45)))*0.11*(0.05*(P_t/D))^(-0.71*(h_f/p_f)^(0.23))...
    *(1.1+(1.8-2.1*exp(-0.15*N_l^2))*exp(-2*(P_l/P_t))...
    -(0.7-0.8*exp(-0.15*N_l^2))*exp(-0.6*(P_l/P_t)))*(D_f/D)^(0.5);

%Naess
EuNa=(0.2+(6.75./(ReC.^(0.5))))*(h_f/D)^(-0.61)*(h_f/s_f)^(0.33)*(P_x/D_f)^(-0.165)*1;

%PFR
EuP=(19.04./ReH.^(0.3))*(P_l/D_h)^(-0.42);

%Numerical result
ReN=[4802,9000,12549,20204,25090];
EuN=[0.894,0.746,0.676,0.586,0.549];


%Experimental result
EuEx=[1.236,1.121,1.065,1.007,0.972];

plot(ReC,EuW,ReC,EuNa,ReH,EuP,ReN,EuN,'bx',ReN,EuEx,'rx');
xlim([2500 30000])
ylim([0 1.6])
grid on
xlabel('Re [-]');
ylabel('Eu [-]');
legend('Weierman','Nss','PFR','CFD','Experimental')
%title('Eu correlations, serrated fins')

